﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Entity is characterized by
 *
 *      author Takito, Masaaki
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://gcm.ntt.com/api/xml-schema/v2/business-interaction/gmone-so-001"
	xmlns:gmone-so-001="https://gcm.ntt.com/api/xml-schema/v2/business-interaction/gmone-so-001"
	xmlns:datatypes="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
	xmlns:cbe="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/cbe-datatypes"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-datatypes/cbe-datatypes.xsd"/>
	<xsd:import namespace="https://gcm.ntt.com/api/xml-schema/v2/common-business-entity"
			schemaLocation="http://localhost/api/xml-schema/v2/cbe-domain/cbe.xsd"/>

	<!--
	 *
	 *==========================================================================
	 * ■Element of CharacteristicValue
	 *==========================================================================
	 *
	-->

	<!-- ■contract-scheme-val (Element) substitution element -->
	<xsd:element name="contract-scheme-val" type="gmone-so-001:ContractSchemeVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■ContractSchemeVal (Datatype) -->
	<xsd:simpleType name="ContractSchemeVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:enumeration value="GSC" />
			<xsd:enumeration value="Separate" />
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■contract-type-val (Element) substitution element -->
	<xsd:element name="contract-type-val" type="gmone-so-001:ContractTypeVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■ContractTypeVal (Datatype) -->
	<xsd:simpleType name="ContractTypeVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:enumeration value="GMSA (Service Ts&amp;Cs + SOF)" />
			<xsd:enumeration value="Adhesion Contract" />
			<xsd:enumeration value="Terms of Service" />
			<xsd:enumeration value="Individual Contract" />
		</xsd:restriction>
	</xsd:simpleType>

	<!-- ■loi-contract-val (Element) substitution element -->
	<xsd:element name="loi-contract-val" type="xsd:boolean"
			substitutionGroup="cbe:base-value"/>

	<!-- ■billing-type-val (Element) substitution element -->
	<xsd:element name="billing-type-val" type="gmone-so-001:BillingTypeVal"
			substitutionGroup="cbe:base-value"/>

	<!-- ■BillingTypeVal (Datatype) -->
	<xsd:simpleType name="BillingTypeVal">
		<xsd:restriction base="xsd:normalizedString">
			<xsd:enumeration value="One-stop" />
			<xsd:enumeration value="Separate" />
		</xsd:restriction>
	</xsd:simpleType>

</xsd:schema>
